Subject: Re: bug#21441: 25.0.50; doc of `make-char-table'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Sep 2015 19:02:46 +0300

> Date: Wed, 9 Sep 2015 08:10:45 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> The doc is inconsistent and unclear wrt the first argument.
> 
> In (elisp) `Char-Tables' the arg is named SUBTYPE.  In the doc string it
> is named PURPOSE.  Why SUBTYPE and not TYPE?

Because "type" is char-table.

> Please make the doc clearer, reconciling the treatment of the arg as a
> "purpose" and as a "subtype".

The text before the description of make-char-table explains at length
what is the subtype.  I see nothing unclear there.  I also see no
reason to insists that the doc string and the manual use exactly the
same nomenclature for the arguments.

In sum, I see nothing that needs to be fixed here.

I'm closing the bug.